/**
 * Copyright 2018 TomTom International B.V
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
export declare class GeoCoordinates {
    /** The Constant MAX_LAT. */
    static MAX_LAT: number;
    /** The Constant MIN_LAT. */
    static MIN_LAT: number;
    /** The Constant MAX_LON. */
    static MAX_LON: number;
    /** The Constant MIN_LON. */
    static MIN_LON: number;
    /** The longitude. */
    protected _longitude: number;
    /** The latitude. */
    protected _latitude: number;
    getLatitudeDeg(): number;
    getLongitudeDeg(): number;
    static checkCoordinateBounds(lon: number, lat: number): boolean;
    static fromValues(longitude: number, latitude: number): GeoCoordinates;
}
